## com.trilead.ssh2
Class LocalPortForwarder

    java.lang.Object
      com.trilead.ssh2.LocalPortForwarder

    public class LocalPortForwarder

extends java.lang.Object

A `LocalPortForwarder` forwards TCP/IP connections to a local port via the secure tunnel to another host (which may or may not be identical to the remote SSH-2 server). Checkout `Connection.createLocalPortForwarder(int, String, int)` on how to create one.

Method Summary
`void` `close()` Stop TCP/IP forwarding of newly arriving connections.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### close

    public void close()
               throws java.io.IOException

  Stop TCP/IP forwarding of newly arriving connections.

  Throws:
    `java.io.IOException`